---
search:
  tags:
    - Variants V2
    - DELETE
seo:
  description: >-
    Bulk-deletes variant warehouse stock by… Reference for the DELETE
    /api/v2/{team_slug}/{app_slug}/products/variants/stock endpoint in the
    Management API v2.
sidebar:
  label: Delete variants stock
  badge: DELETE
title: Delete variants stock
type: openapi-operation
---
Bulk-deletes variant warehouse stock by variant_id and warehouse_id.

`DELETE /api/v2/{team_slug}/{app_slug}/products/variants/stock`

**Request body** (`application/json`, required)

- `stock` (VariantStockRefItem[], required)

Request body example:

```json
{
  "stock": [
    {
      "variant_id": "8a2d415d-59aa-4132-bef3-011f97c4a0f6",
      "warehouse_id": "825f5f2b-307c-4cc1-9373-6d0c4692d478"
    }
  ]
}
```

**Responses**

- `200` — OK (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "variant_id": "8a2d415d-59aa-4132-bef3-011f97c4a0f6",
      "warehouse_id": "825f5f2b-307c-4cc1-9373-6d0c4692d478"
    }
  ],
  "errors": [
    {
      "variant_number": "string",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
